#ifndef BOTS_HPP
#define BOTS_HPP


enum
{
	BOT_LEVELS=3,
	MAX_BOT_SPAWNS=256 //per level
};

struct BOT_SPAWN
{
	vec2 pos;
	int level;
	bool spawned;
	float respawn_timer;
};

struct BOSS
{
	bool exist;
	BOT_SPAWN spawn;
	int client_id;
	
	bool shield_active;
	int shield_health;
	float shield_timer;
	float regen_timer;
	
	float freezer_timer;
	
	class PICKUP * shield_icons[3];
};


#endif
